Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235995 - yum displays wrong error when exiting with CTRL-C
Summary: yum displays wrong error when exiting with CTRL-C
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-11 11:48 UTC by Till Maas
Modified: 2014-01-21 22:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 14:53:32 UTC


Attachments (Terms of Use)

Description Till Maas 2007-04-11 11:48:50 UTC
Description of problem:
I ran "yum update" and aborted it at the beginning with CTRL-C and yum displays
an error message which is not true (a normal run of "yum update" without
pressint CTRL-C works flawlessly):

$ sudo yum update
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   cannot import name iterparse

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.4.4 (#1, Oct 23 2006, 13:58:00)
[GCC 4.1.1 20061011 (Red Hat 4.1.1-30)]

If you cannot solve this problem yourself, please go to
the yum faq at:
  http://wiki.linux.duke.edu/YumFaq

Version-Release number of selected component (if applicable):
3.0.5-1.fc6

Comment 1 Jeremy Katz 2007-04-16 14:53:32 UTC
If you hit ctrl-c very quickly, then you're going to interrupt before we've had
a chance to set up our KeyboardInterrupt handler and thus cause the import of
modules to fail.  Which then leads to that error.


Note You need to log in before you can comment on or make changes to this bug.